Bug 487945 (CVE-2009-0748) - CVE-2009-0748 kernel: ext4: ext4_fill_super() missing validation issue
Summary: CVE-2009-0748 kernel: ext4: ext4_fill_super() missing validation issue
Status: CLOSED ERRATA
Alias: CVE-2009-0748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20090106,source=kernelbugzilla...
Keywords: Security
Depends On: 487946 487947
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-01 15:56 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:42 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-25 17:45:42 UTC


Attachments (Terms of Use)
corrupted image (1.53 MB, application/x-gzip)
2009-03-01 16:02 UTC, Eugene Teo (Security Response)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 08:53:34 UTC

Description Eugene Teo (Security Response) 2009-03-01 15:56:04 UTC
Description of problem:
Name: CVE-2009-0748
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0748
Final-Decision: 
Interim-Decision: 
Modified: 
Proposed: 
Assigned: 20090227
Category: 
Reference: CONFIRM:http://bugzilla.kernel.org/show_bug.cgi?id=12371
Reference: CONFIRM:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4ec110281379826c5cf6ed14735e47027c3c5765
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.19
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.28.7
Reference: VUPEN:ADV-2009-0509
Reference: URL:http://www.vupen.com/english/advisories/2009/0509

The ext4_fill_super function in fs/ext4/super.c in the Linux kernel 2.6.27 before 2.6.27.19 and 2.6.28 before 2.6.28.7 does not validate the superblock configuration, which allows local users to cause a denial of service (NULL pointer dereference and OOPS) by attempting to mount a crafted ext4 filesystem.

Comment 1 Eugene Teo (Security Response) 2009-03-01 16:02:57 UTC
Created attachment 333653 [details]
corrupted image

Steps to reproduce:
1) gunzip ext4.72.img.gz
2) mount -t ext4  -o loop ext4.72.img /media/tmp

Comment 2 Eugene Teo (Security Response) 2009-03-01 16:03:47 UTC
mrg-1 is affected by CONFIG_EXT4DEV_FS is not set by default.

Comment 7 Eugene Teo (Security Response) 2009-03-19 04:19:02 UTC
CVSS2 score of medium, 4.9 (AV:L/AC:L/Au:N/C:N/I:N/A:C)

Comment 8 errata-xmlrpc 2009-09-02 08:01:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html

Comment 9 errata-xmlrpc 2009-09-02 09:06:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html

Comment 10 errata-xmlrpc 2009-09-02 12:08:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html

Comment 13 Kurt Seifried 2011-10-25 17:45:42 UTC
All children bugs closed, parent no longer needed


Note You need to log in before you can comment on or make changes to this bug.